package org.apache.webdav.ui;

import java.io.IOException;
import java.util.Map;
import java.util.HashMap;

import org.apache.webdav.ui.lib.properties.*;
import org.apache.webdav.lib.methods.*;
import org.apache.webdav.ui.util.SPUtils;

import org.apache.commons.httpclient.*;

/**
 * Title:        SPWebdavClient.java
 * Description:  Adds some methods to WebdavClient
 * Company:      SpeedLegal Holdings Inc.
 * @author       Jojada J. Tirtowidjojo
 * @version 1.0
 */

public class SPWebdavClient extends HttpClient {
  public String getSessionHost()  {
    return this.sessionHost;
  }

  public String getSessionPort()  {
    return String.valueOf(this.sessionPort);
  }

  public Credentials getCredentials() {
    return credentials;
  }

  public String getLockToken(String uri)  {
    String lockToken = null;

    LockdiscoveryProperty lockdiscoveryProp =
        (LockdiscoveryProperty) SPUtils.getProperty(this, uri, "lockdiscovery");
    if (lockdiscoveryProp != null)  {
        lockToken = lockdiscoveryProp.getLockToken(credentials.getUserName());
    }

    return lockToken;
  }

} //End of SPWebdavClient class















